=== debian/changelog ===
pilot-link (0.12.5-6ubuntu2) trusty; urgency=medium

  * Build using dh_autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 28 Dec 2013 21:02:40 +0100

pilot-link (0.12.5-6ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Build using dh_python2.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Oct 2013 18:00:46 -0700

pilot-link (0.12.5-6) unstable; urgency=low

  * Fix "Use dh_autotools-dev to update config.{sub,guess} for AArch64"
    patch from Ubuntu (Closes: #727270)

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 27 Oct 2013 20:36:42 +0100

pilot-link (0.12.5-5ubuntu3) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 13:43:11 +0100

pilot-link (0.12.5-5ubuntu2) saucy; urgency=low

  * Use dh_autotools-dev to update config.{sub,guess} for AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Oct 2013 18:18:05 +0200

pilot-link (0.12.5-5ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Build using dh_python2.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Nov 2012 00:08:22 +0000

pilot-link (0.12.5-5) unstable; urgency=low

  * upgrade to debhelper 9
  * Fix "should not depend on libncurses5-dev" dependency removed
    (Closes: #667891)
  * Fix "pilot-read-ical depends upon external program" removed pilot-read-ical
    (Closes: #608468)
  * Fix "pilot-memos.1.gz: HTML tags in man page" fixed upstream
    (Closes: #391984)
  * Fix "HTML fragments in man pages" fixed upstream
    (Closes: #402045)
  * debian/control: Standards-Version: 3.9.2 => 3.9.3. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 08 Apr 2012 20:17:47 +0200

pilot-link (0.12.5-4ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 08:38:08 +0100

pilot-link (0.12.5-4ubuntu1) precise; urgency=low

  * Build using dh_python2

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 13:29:29 +0000

pilot-link (0.12.5-4build1) precise; urgency=low

  * Rebuild for Perl 5.14.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Nov 2011 00:37:26 +0000

pilot-link (0.12.5-4) unstable; urgency=low

  * Fix "debian/control uses hardcoded list of non-Linux architectures"
    use [linux-any] (Closes: #634729)
  * Fix "FTBFS with libpng-dev in experimental: pilot-read-notepad.c"
    Use patch from FreeBSD (Closes: #636758)
    debian/patches/33-new-png-lib

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 06 Aug 2011 19:01:23 +0200

pilot-link (0.12.5-3) unstable; urgency=low

  * Fix "Emptying dependency_libs in .la files". Add a sed call in
    debian/rules (Closes: #633330)
  * Fix "FTBFS with perl 5.14: error: 'sv_undef' undeclared (first use
    in this function)" using the patch
    debian/patches/0001-Don-t-use-PERL_POLLUTE-macros.patch from Niko Tyni
    <ntyni@debian.org> (Closes: #628510)
  * Standards-Version: 3.8.4 -> 3.9.2.
    - Remove -D_REENTRANT from CFLAGS
    - the 'dependency_libs' setting should be emptied (bug #633330 fixed above)
  * fix lintian warning: debian-rules-missing-recommended-target build-arch
  * fix lintian warning: "I: libpisock9: conflicts-with-version pilot-link (<<
    0.12.2-7)" by removing references to this very old version

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 17 Jul 2011 17:13:20 +0200

pilot-link (0.12.5-2) unstable; urgency=low

  * debian/rules: do not use -l dh_shlibdeps argument any more
  * debian/symbols: new file.
  * debian/rules: add dependencies between packages. Closes: #569426:
    pilot-link: FTBFS: dpkg-shlibdeps: error: couldn't find library
    libpisock.so.9 needed by debian/libpisync1/usr/lib/libpisync.so.1.0.3 (ELF
    format: 'elf64-x86-64'; RPATH: '')

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 11 Feb 2010 21:44:22 +0100

pilot-link (0.12.5-1) unstable; urgency=low

  * New upstream release
  * debian/patches/30_3_arg_open: remove since included upstream
  * debian/rules: parallel compilation now works and can be set using
    parallel= in DEB_BUILD_OPTIONS
  * debian/patches/32_typos: fix typos found by lintian
  * debian/pilot-link.NEWS: fix debian-news-entry-without-blank-line
  * debian/pilot-link.NEWS: fix debian-news-entry-uses-asterisk
  * Standards-Version: 3.8.3 -> 3.8.4. no change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 10 Feb 2010 14:18:41 +0100
