## pilot-link 0.12.5-dfsg

=== debian/changelog ===
pilot-link (0.12.5-dfsg-2) unstable; urgency=medium

  * Fix "deprecation of python-support" use dh-python instead of
    python-support (Closes: #786254)

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 09 Aug 2015 16:25:03 +0200

pilot-link (0.12.5-dfsg-1) unstable; urgency=medium

  * Fix "Duplicate and conflicting definition of function ColourCorrect"
    rename ColourCorrect and make it static (Closes: #750983)
  * remove .o and .so from the source package and rename source package to
    -dfsg
  * remove libpda-pilot-perl package as it does not build anymore

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 14 Jun 2014 22:30:32 +0200

pilot-link (0.12.5-7) unstable; urgency=low

  * Fix "run dh-autoreconf to update config.{sub,guess} and
    {libtool,aclocal}.m4" use dh_autoreconf instead of
    dh_autotools-dev_updateconfig (Closes: #727270)

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 22 Jan 2014 20:13:36 +0100
