=== debian/control ===
--- 
+++ 
@@ -1,33 +1,19 @@
 Source: pilot-link
 Section: otherosfs
-Build-Depends: debhelper (>= 9~), perl (>= 5.6), libpng-dev, libreadline-dev, python-all-dev (>= 2.6.6-3~), python-all-dbg, libusb-dev, libbluetooth-dev [linux-any], pkg-config, libpopt-dev, autotools-dev, dh-autoreconf
+Build-Depends: debhelper (>= 9~), libpng-dev, libreadline-dev, python-all-dev (>= 2.6.6-3~), dh-python, python-all-dbg, libusb-dev, libbluetooth-dev [linux-any], pkg-config, libpopt-dev, dh-autoreconf
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
+Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Standards-Version: 3.9.3
-X-Python-Version: >= 2.3
+XS-Python-Version: >= 2.3
 Homepage: http://www.pilot-link.org/
 
 Package: pilot-link
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: pilot-link-perl
-Suggests: libpda-pilot-perl
 Description: tools to communicate with a PalmOS PDA
  The package contains many command line programs to manipulate databases
  stored on a PalmOS PDA. For example pilot-xfer can be used to backup,
  sync, and restore databases.
-
-Package: libpda-pilot-perl
-Architecture: any
-Section: perl
-Priority: extra
-Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
-Replaces: pilot-link (<< 0.9.3-1), pilot-link-perl
-Conflicts: pilot-link-perl
-Description: Perl module to communicate with a PalmOS PDA
- This package provides the PDA::Pilot module, which provides Perl programs
- with means of communicating directly with a PalmOS device.
 
 Package: python-pisock
 Architecture: any
