=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 synclibpkg = libpisync1
 devpkg = libpisock-dev
 runpkg = pilot-link
-perlpkg = libpda-pilot-perl
 pythonpkg = python-pisock
 
 CFLAGS = -Wall -g -pthread
@@ -43,7 +42,7 @@
 	dh_autoreconf
 	./configure --prefix=/usr \
 		--enable-conduits --enable-libusb \
-		--with-perl --with-python --with-libpng \
+		--with-python --with-libpng \
 		--with-libiconv \
 		CFLAGS="$(CFLAGS)"
 
@@ -68,8 +67,6 @@
 	if [ -e Makefile ] ; then $(MAKE) distclean; fi
 	rm -f config.log changelog libtool
 	rm -rf bindings/Python/build
-	dh_autotools-dev_restoreconfig
-	dh_autoreconf_clean
 	dh_clean
 
 pre-binary: build pre-binary-stamp
@@ -77,7 +74,6 @@
 	dh_clean
 	dh_installdirs
 	$(MAKE) install DESTDIR=`pwd`/debian/tmp
-	-find -name site-packages | xargs rm -rf
 	$(MAKE) -C doc/man install DESTDIR=`pwd`/debian/tmp
 	set -e; \
 	cd bindings/Python; \
@@ -88,7 +84,6 @@
 
 	# mini patches
 	cp ChangeLog changelog
-	chmod +x debian/tmp/usr/lib/perl5/PDA/dump.pl
 
 	# install the udev rule file to get the correct file group and permissions 
 	mv debian/tmp/usr/share/pilot-link/udev/60-libpisock.rules  debian/libpisock9.udev
@@ -108,7 +103,7 @@
 # We have nothing to do by default.
 
 # Build architecture-dependent files here.
-binary-arch: build $(libpkg) $(devpkg) $(perlpkg) $(runpkg) $(synclibpkg) $(pythonpkg) $(pythonpkg)-dbg
+binary-arch: build $(libpkg) $(devpkg) $(runpkg) $(synclibpkg) $(pythonpkg) $(pythonpkg)-dbg
 
 $(libpkg): build pre-binary
 	echo $@
@@ -178,22 +173,6 @@
 	dh_md5sums -p $@
 	dh_builddeb -p $@
 
-$(perlpkg): build pre-binary $(libpkg)
-	echo $@
-	dh_installdirs -p $@
-	dh_installchangelogs -p $@
-	dh_installdocs -p $@
-	dh_installexamples -p $@
-	dh_strip -p $@
-	dh_compress -p $@
-	dh_fixperms -p $@
-	dh_installdeb -p $@
-	dh_perl -p $@
-	dh_shlibdeps -p $@
-	dh_gencontrol -p $@ -- -Tdebian/libpda-pilot-perl.substvars.debhelper -Tdebian/libpda-pilot-perl.substvars
-	dh_md5sums -p $@
-	dh_builddeb -p $@
-
 $(pythonpkg): build pre-binary $(libpkg)
 	echo $@
 	dh_installdirs -p $@
@@ -203,7 +182,7 @@
 	dh_compress -p $@
 	dh_fixperms -p $@
 	dh_makeshlibs -p $@
-	dh_python2 -p$@
+	dh_python2 -p $@
 	dh_installdeb -p $@
 	dh_shlibdeps -p $@
 	dh_gencontrol -p $@
@@ -218,7 +197,7 @@
 	dh_compress -p $@
 	dh_fixperms -p $@
 	dh_makeshlibs -p $@
-	dh_python2 -p$@
+	dh_python2 -p $@
 	dh_installdeb -p $@
 	dh_shlibdeps -p $@
 	dh_gencontrol -p $@
@@ -227,5 +206,5 @@
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary \
-	$(libpkg) $(devpkg) $(runpkg) $(perlpkg) $(pythonpkg) pre-binary
-
+	$(libpkg) $(devpkg) $(runpkg) $(pythonpkg) pre-binary
+
