=== debian/watch ===
# use uscan(1)
version=2

# Full-site-with-pattern  [Version  [Action]]
http://downloads.pilot-link.org/pilot-link-(\d*\.\d*\.\d*)\.tar\.bz2 debian uupdate
